...
 
Commits (3)
debmirror (1:2.30) UNRELEASED; urgency=medium
debmirror (1:2.30) unstable; urgency=medium
* Make the error message when mkdir fails more helpful.
* Restart partial HTTP downloads (closes: #629922).
* Use /usr/share/dpkg/pkg-info.mk rather than equivalent hand-written
code.
* Upgrade to debhelper v9.
-- Colin Watson <cjwatson@debian.org> Tue, 27 Feb 2018 17:07:56 +0000
-- Colin Watson <cjwatson@debian.org> Mon, 06 Aug 2018 10:07:54 +0100
debmirror (1:2.29) unstable; urgency=medium
......
......@@ -2,7 +2,7 @@ Source: debmirror
Section: net
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
Build-Depends: debhelper (>= 9~), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/debmirror.git
Vcs-Browser: https://salsa.debian.org/debian/debmirror
......
#!/usr/bin/make -f
deb_version := $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
include /usr/share/dpkg/pkg-info.mk
%:
dh $@
override_dh_install:
dh_install
sed -i 's/^\(our \$$version=\).*/\1"$(deb_version)";/' \
sed -i 's/^\(our \$$version=\).*/\1"$(DEB_VERSION)";/' \
debian/debmirror/usr/bin/debmirror